snd_pcm_hw_param_first
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_hw_param_first —

## Synopsis

`int snd_pcm_hw_param_first (` | struct snd_pcm_substream * | pcm,
| struct snd_pcm_hw_params * | params,
| snd_pcm_hw_param_t | var,
| int * | dir`)`;

## Arguments

`pcm`

  PCM instance

`params`

  the hw_params instance

`var`

  parameter to retrieve

`dir`

  pointer to the direction (-1,0,1) or NULL

## Description

Inside configuration space defined by PARAMS remove from PAR all values > minimum. Reduce configuration space accordingly. Return the minimum.

Prev | Up | Next
snd_pcm_hw_param_value | Home | snd_pcm_hw_param_last